Subject: Hot offers form replica watch store

From: " Dnsop-archive" <[email-masked] >
Date: Thu, 5 Jul 2007 23:44:20 -0400

Get yourself a gorgeous luxury watch at a tiny fraction of the original price!
The quality and price of our replicas will surprise you in a pleasant way!
Choose your favorite model by your favorite brand – we definitely have it!
http://stflu.com